> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mileapp.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk delete data source



## OpenAPI

````yaml /openapi/public/openapi-data.json delete /datas/bulk
openapi: 3.0.0
info:
  title: MileApp API - Data
  version: 3.0.0
  description: MileApp API Documentation - RESTful API for field operations management.
servers:
  - url: https://apiweb.mile.app/api/v3
security:
  - bearerAuth: []
tags:
  - name: Data Source
    description: >-
      The Data source could help you simplify the process of filling in task
      information based on existing data at MileApp. This data could consist of
      information such as name, number, date, coordinate, and multiple options.
      The Data typically represents entities such as customers, products,
      employees, suppliers, or any other critical data elements that are used
      across the application.


      **To see the details of data source object, please follow [this
      link](#tag/data_source_model)**
  - name: Data Type
    description: >-
      The Data type is the structure of data fields that is customizable to suit
      your business needs. Data type attributes consist of IDs, name, field
      details, type, and primary key. This data type structure will be used at
      Data Source and Flow.


      **To see the details of data type object, please follow [this
      link](#tag/data_type_model)**
paths:
  /datas/bulk:
    delete:
      tags:
        - Data Source
      summary: Bulk delete data source
      operationId: data/deleteBulk
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/deleteDataBulkRequest'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                title: NetworkDeleteBulkResponse
                properties:
                  success:
                    description: Total success delete data source.
                    type: integer
                  failed:
                    description: Total failed delete data source.
                    type: integer
                  data:
                    description: Detail of delete data source.
                    type: array
                    items:
                      type: object
                      properties:
                        status:
                          type: boolean
                          description: Status of response.
                        _id:
                          description: Data source ID
                          type: string
                        message:
                          description: Message of delete data source
                          type: string
                example:
                  success: 2
                  failed: 0
                  data:
                    - status: true
                      message: Success.
                      _id: 62067ee1cd77000042006f89
                    - status: true
                      message: Success.
                      _id: 62067ee3cd77000042006f8b
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    description: Shows if the request was successful.
                  message:
                    type: string
                    description: A short message explaining what went wrong.
                example:
                  status: false
                  message: Bad request - invalid parameters provided.
        '500':
          description: Server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    description: Shows if the request was successful.
                  message:
                    type: string
                    description: A short message explaining what went wrong.
                example:
                  status: false
                  message: Internal server error, please contact support@mile.app.
      deprecated: false
      security:
        - bearerAuth: []
components:
  schemas:
    deleteDataBulkRequest:
      title: deleteDataBulkRequest
      example:
        data:
          - _id: 62067ee1cd77000042006f89
          - _id: 62067ee3cd77000042006f8b
      type: object
      properties:
        data:
          type: array
          description: 'List of data (max: 3000 data)'
          items:
            type: object
            properties:
              _id:
                type: string
                description: |-
                  Unique identifier for the data that generated by system.
                  **Example**: `62067ee1cd77000042006f89`
            required:
              - _id
      required:
        - data
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Use a valid Bearer token to authenticate.

````